cmake_minimum_required(VERSION 2.6...3.29)
project(libvitaboy)

set(LIBVITABOY_SOURCES
    anim.cpp
    apr.cpp
    bnd.cpp
    col.cpp
    hag.cpp
    libvitaboy.cpp
    mesh.cpp
    oft.cpp
    po.cpp
    skel.cpp
    Log.hpp
    config.h
)

set(LIBVITABOY_HEADERS
    libvitaboy.hpp
)

if(WIN32)
    set(LIBVITABOY_SOURCES ${LIBVITABOY_SOURCES} resource.rc)
else()
    add_definitions(-Dstricmp=strcasecmp)
endif()

include_directories(${vitaboy_SOURCE_DIR} ${filehandler_SOURCE_DIR})
add_library(libvitaboy STATIC ${LIBVITABOY_SOURCES} ${LIBVITABOY_HEADERS}) # don't specify shared, cmake settings should take care of that
target_include_directories(libvitaboy PUBLIC ${LIBVITABOY_HEADERS})
